indexing

	description:

		"Warning: Obsolete <cluster> element"

	library: "Gobo Eiffel Tools Library"
	copyright: "Copyright (c) 2004, Eric Bezault and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2004/03/05 15:58:59 $"
	revision: "$Revision: 1.1 $"

class ET_XACE_OBSOLETE_CLUSTER_ELEMENT_WARNING

inherit

	ET_XACE_WARNING

creation

	make

feature {NONE} -- Initialization

	make (a_position: XM_POSITION) is
			-- Create a warning reporting that a cluster element that
			-- groups clusters, mounts and options is no longer used.
		require
			a_position_not_void: a_position /= Void
		do
			create parameters.make (1, 1)
			parameters.put (a_position.out, 1)
		end

feature -- Access

	default_template: STRING is "<cluster> at $1 is obsolete. Specify options, clusters and mounts directly under <system> instead"
			-- Default template used to built the error message

	code: STRING is "XA0014"
			-- Error code

end
