indexing
	description: "Objects that ..."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	author: ""
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $"
	revision: "$Revision: 56675 $"

class
	EMAIL_CONSTANTS

feature -- Constants for SMTP Protocol

	Helo: STRING is "HELO "

	Ehlo: STRING is "EHLO "

	Data: STRING is "DATA"

	Mail_from: STRING is "MAIL FROM: "

	Mail_to: STRING is "RCPT TO: "

	Mail_cc: STRING is "RCPT CC:"

	Mail_bcc: STRING is "RCPT BCC:"

	Mail_reply_to: STRING is "RCPT REPLY TO:"

	Quit: STRING is "QUIT"

	Ack_begin_connection: INTEGER is 220

	Ok: INTEGER is 250

	Ack_end_connection: INTEGER is 221

	Remote_error: INTEGER is 550

	Data_code: INTEGER is 354

	Struct_error: INTEGER is 552

	Size_error: INTEGER is 500

	No_valid_recipient: INTEGER is 554

feature -- Constants for email headers (Authorized keys for the Hashtables)

	H_to: STRING is "To"

	H_from: STRING is "From"

	H_cc: STRING is "Cc"

	H_bcc: STRING is "Bcc"

	H_subject: STRING is "Subject"

	H_reply_to: STRING is "Reply-to"

	Default_headers: ARRAY [STRING] is 
		once
			create Result.make_from_array (<<H_to, H_from, H_cc, H_bcc, H_reply_to>>)
		end

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class EMAIL_CONSTANTS

