indexing

	description:

		"Objects that facilitate generating output."

	library: "Gobo Eiffel XSLT Library"
	copyright: "Copyright (c) 2004, Colin Adams and others"
	license: "Eiffel Forum License v2 (see forum.txt)"
	date: "$Date: 2005/06/29 15:07:16 $"
	revision: "$Revision: 1.5 $"

deferred class XM_XSLT_OUTPUTTER	

inherit
	
	XM_XPATH_SEQUENCE_RECEIVER

feature -- Events

	start_document is
			-- New document
		do
			is_document_started := True
			previous_atomic := False
		end

	set_unparsed_entity (a_name: STRING; a_system_id: STRING; a_public_id: STRING) is
			-- Notify an unparsed entity URI.
		do
			-- do nothing
		end
	
feature {NONE} -- Implementation

	previous_atomic: BOOLEAN

end
	
