indexing
	description: "Contains all the handles"
	legal: "See notice at end of class."
	status: "See notice at end of class.";
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $";
	revision: "$Revision: 56675 $"

class 
	DB [reference G -> DATABASE create default_create end]

inherit
	ANY

	DB_CONSTANT
		export
			{NONE} all
		end

feature -- Status report

	db_control: DATABASE_CONTROL [G] is
			-- DATABASE_CONTROL handle 
		do
			create Result
		end

	db_status: DATABASE_STATUS [G] is
			-- DATABASE_STATUS handle 
		do
			create Result
		end

	db_selection: DATABASE_SELECTION [G] is
			-- DATABASE_SELECTION handle 
		do
			create Result.make (parsed_string_size)
		end

	db_change: DATABASE_CHANGE [G] is
			-- DATABASE_CHANGE handle 
		do
			create Result.make (parsed_string_size)
		end

	db_repository: DATABASE_REPOSITORY [G] is
			-- DATABASE_REPOSITORY handle 
		do
			create Result.make
		end

	db_result: DATABASE_TUPLE [G] is
			-- DATABASE_TUPLE handle 
		do
			create Result.make
		end

	db_store: DATABASE_STORE [G] is
			-- DATABASE_STORE handle 
		do
			create Result.make (parsed_string_size)
		end

	db_format: DATABASE_FORMAT [G] is
			-- DATABASE_FORMAT handle 
		do
			create Result
		end

	db_proc: DATABASE_PROC [G] is
			-- DATABASE_PROC handle 
		do
			create Result.make
		end

	db_all_types: DATABASE_ALL_TYPES [G] is
			-- DATABASE_ALL_TYPES handle 
		do
			create Result.make
		end

	db_dyn_selection: DATABASE_DYN_SELECTION [G] is
			-- DATABASE_DYN_SELECTION handle 
		do
			create Result.make (parsed_string_size)
		end
		
	db_dyn_change: DATABASE_DYN_CHANGE [G] is
			-- DATABASE_DYN_CHANGE handle 
		do
			create Result.make (parsed_string_size)
		end
	
	name: STRING is
			-- Database name
		local
			l: G
		once
			create l
			Result := l.generator
		end

feature {NONE} -- Status report

	sql_struct: DATABASE_DATA [G] is
			-- Implementation of the data.
		do
			create Result
		end

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class DB



